Completion Deployed

Create a completion using the project's active deployment.

The active deployment can be a specific model configuration or an experiment.

Body Params

Completion request using the project's active deployment.

string

Unique project name. If no project exists with this name, a new project will be created.

string

Unique ID of a project to associate to the log. Either this or project must be provided.

string

ID of the session to associate the datapoint.

string

A unique string identifying the session to associate the datapoint to. Allows you to log multiple datapoints to a session (using an ID kept by your internal systems) by passing the same session_reference_id in subsequent log requests. Specify at most one of this or session_id.

string

ID associated to the parent datapoint in a session.

string

A unique string identifying the previously-logged parent datapoint in a session. Allows you to log nested datapoints with your internal system IDs by passing the same reference ID as parent_id in a prior log request. Specify at most one of this or parent_id. Note that this cannot refer to a datapoint being logged in the same request.

inputs
object

The inputs passed to the prompt template.

string

Identifies where the model was called from.

metadata
object

Any additional metadata to record.

boolean
Defaults to true

Whether the request/response payloads will be stored on Humanloop.

string

ID of the source datapoint if this is a log derived from a datapoint in a dataset.

provider_api_keys
object

API keys required by each provider to make API calls. The API keys provided here are not stored by Humanloop. If not specified here, Humanloop will fall back to the key saved to your organization.

integer
Defaults to 1

The number of generations.

boolean
Defaults to false

If true, tokens will be sent as data-only server-sent events. If num_samples > 1, samples are streamed back independently.

string

End-user ID passed through to provider call.

integer
deprecated

Deprecated field: the seed is instead set as part of the request.config object.

boolean
Defaults to true

Whether to return the inputs in the response. If false, the response will contain an empty dictionary under inputs. This is useful for reducing the size of the response. Defaults to true.

integer

Include the log probabilities of the top n tokens in the provider_response

string

The suffix that comes after a completion of inserted text. Useful for completions that act like inserts.

string

The environment name used to create a chat response. If not specified, the default environment will be used.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json